import { EventEmitter } from '@angular/core';
import { TypeEnum } from '../../../model/components/type.enum';
import { VariantEnum } from '../../../model/components/variant.enum';
import * as i0 from "@angular/core";
/**
 * The alert component is responsible to show alerts for diverse elements. Including `FormErrorComponent` among others.
 */
export declare class AlertComponent {
    dismissable: boolean;
    fullSize: boolean;
    text: string;
    type: TypeEnum | string;
    variant: VariantEnum | string;
    withIcon: boolean;
    dismiss: EventEmitter<void>;
    get icon(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "ct-alert", never, { "dismissable": { "alias": "dismissable"; "required": false; }; "fullSize": { "alias": "fullSize"; "required": false; }; "text": { "alias": "text"; "required": true; }; "type": { "alias": "type"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "withIcon": { "alias": "withIcon"; "required": false; }; }, { "dismiss": "dismiss"; }, never, never, true, never>;
}
