import { DestroyRef, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { FormOptionBase } from '../../model/forms/form-base.model';
import { Subject } from 'rxjs';
import { FormGroupDirective } from '@angular/forms';
import { TypeEnum } from '../../model/components/type.enum';
import { FormGenericComponent } from '../../services/form-generic.abstract';
import * as i0 from "@angular/core";
export declare class SelectComponent extends FormGenericComponent implements OnInit {
    private readonly destroyRef;
    focusOut$: Subject<any>;
    isOpen: boolean;
    option: string;
    option$: import("@angular/core").WritableSignal<string>;
    formControlName: string;
    placeholder: string;
    label: string;
    value: any;
    type: TypeEnum | string;
    fullSize: boolean;
    shouldShowError: boolean;
    key: string;
    options: FormOptionBase[];
    selected: EventEmitter<any>;
    trigger: ElementRef<HTMLButtonElement>;
    panel: ElementRef<HTMLDivElement>;
    constructor(formGroupDirective: FormGroupDirective, destroyRef: DestroyRef);
    ngOnInit(): void;
    toggle(): void;
    close(): void;
    selectOption(key: any, propagate?: boolean): void;
    writeValue(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "ct-select", never, { "formControlName": { "alias": "formControlName"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "label": { "alias": "label"; "required": false; }; "value": { "alias": "value"; "required": false; }; "type": { "alias": "type"; "required": false; }; "fullSize": { "alias": "fullSize"; "required": false; }; "shouldShowError": { "alias": "shouldShowError"; "required": false; }; "key": { "alias": "key"; "required": true; }; "options": { "alias": "options"; "required": true; }; }, { "selected": "selected"; }, never, never, true, never>;
}
