/**
 * Determines the type for the list of items needed at `MenuComponent` and `MenuItemComponent`
 */
export interface MenuItem {
    /** the icon 'id', check at `icons` */
    icon?: string;
    /** text for the menu item */
    text: string;
    /** use FDN if used with type `external` */
    link: string;
    /** if you want a `routerLink` or an `href` */
    type: 'internal' | 'external';
    /** if you want to extend */
    subMenu?: MenuItem[];
}
